summaryrefslogtreecommitdiffstats
path: root/old/bin/genid
diff options
context:
space:
mode:
Diffstat (limited to 'old/bin/genid')
-rwxr-xr-xold/bin/genid11
1 files changed, 11 insertions, 0 deletions
diff --git a/old/bin/genid b/old/bin/genid
new file mode 100755
index 00000000..8e224074
--- /dev/null
+++ b/old/bin/genid
@@ -0,0 +1,11 @@
+#! /bin/sh
+# usage: genid NAME
+set -euf
+name=$1
+hash=$(printf %s "$name" | sha1sum | cut -d\ -f1 | tr a-f A-F)
+echo "
+ min=2^16 # bigger than nobody and nogroup, see <nixos/modules/misc/ids.nix>
+ max=2^32 # see 2^(8*sizeof(uid_t))
+ ibase=16
+ ($hash + min) % max
+" | bc